%global __brp_check_rpaths %{nil}
%global packname  ToxCrit
%global packver   1.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0
Release:          1%{?dist}%{?buildtag}
Summary:          Calculates Safety Stopping Boundaries for a Single-Arm Trial using Bayes

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch

%description
Computation of stopping boundaries for a single-arm trial using a Bayesian
criterion; i.e., for each m<=n (n= total patient number of the trial) the
smallest number of observed toxicities is calculated leading to the
termination of the trial/accrual according to the specified criteria. The
probabilities of stopping the trial/accrual at and up until (resp.) the
m-th patient (m<=n) is also calculated. This design is more conservative
than the frequentist approach (using Clopper Pearson CIs) which might be
preferred as it concerns safety.See also Aamot et.al.(2010) "Continuous
monitoring of toxicity in clinical trials - simulating the risk of
stopping prematurely" <doi:10.5414/cpp48476>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
